const fs = require('fs');
const path = require('path');

const configs = {};

// eslint-disable-next-line prefer-arrow-callback
fs.readdirSync(__dirname).forEach(function (file) {
  const match = file.match(/([^\\/]+)\.js$/i);
  if (match && match[1] !== 'index') {
    configs[match[1]] = require(path.join(__dirname, file));
  }
});

module.exports = configs;
